<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.paint.*?>
<?import javafx.scene.text.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>

<BorderPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="538.0" prefWidth="481.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="thebestteam.beansgenerator.Controller">
   <top>
      <VBox fx:id="hboxBackgroundImage" prefHeight="86.0" prefWidth="600.0" style="-fx-background-image: url('cropped-java-code.jpg');" BorderPane.alignment="CENTER">
         <children>
            <VBox prefHeight="100.0" prefWidth="600.0" style="-fx-background-color: #ABD8E5;">
               <children>
                  <HBox prefHeight="100.0" prefWidth="200.0">
                     <children>
                        <Label text="Beans Generator">
                           <font>
                              <Font name="Liberation Serif Bold Italic" size="27.0" />
                           </font>
                           <HBox.margin>
                              <Insets left="10.0" right="10.0" top="15.0" />
                           </HBox.margin>
                        </Label>
                        <Label text="version 1.2">
                           <HBox.margin>
                              <Insets bottom="10.0" right="10.0" top="25.0" />
                           </HBox.margin>
                        </Label>
                     </children>
                  </HBox>
                  <Label text="Build with love by Descartes and Ben">
                     <VBox.margin>
                        <Insets bottom="10.0" left="40.0" />
                     </VBox.margin>
                     <font>
                        <Font name="System Italic" size="16.0" />
                     </font>
                  </Label>
               </children>
            </VBox>
            <Separator prefWidth="200.0" valignment="BOTTOM" />
         </children>
      </VBox>
   </top>
   <center>
      <GridPane vgap="5.0" BorderPane.alignment="CENTER">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Label text="Destination path">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <HBox alignment="CENTER" prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
               <children>
                  <TextField fx:id="pathField" editable="false" prefHeight="25.0" prefWidth="189.0" promptText="required" />
                  <Button fx:id="pathBut" alignment="CENTER" mnemonicParsing="false" onAction="#choosePath" text="..." textAlignment="JUSTIFY" textOverrun="CLIP">
                     <font>
                        <Font name="System Bold" size="13.0" />
                     </font>
                  </Button>
               </children>
            </HBox>
            <Label text="SGBD" GridPane.rowIndex="1">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <Label text="DB name" GridPane.rowIndex="2">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <Label text="DB Username" GridPane.rowIndex="3">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <Label text="DB Password" GridPane.rowIndex="4">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <Label text="DB Port" GridPane.rowIndex="5">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <ComboBox fx:id="sgbd" onAction="#changePort" prefHeight="25.0" prefWidth="230.0" GridPane.columnIndex="1" GridPane.halignment="CENTER" GridPane.rowIndex="1" GridPane.valignment="CENTER" />
            <TextField fx:id="schema" promptText="required" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            <TextField fx:id="username" promptText="required" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            <PasswordField fx:id="password" promptText="fill if you have password" GridPane.columnIndex="1" GridPane.rowIndex="4" />
            <TextField fx:id="port" text="3306" GridPane.columnIndex="1" GridPane.rowIndex="5" />
            <TextField fx:id="package_" promptText="ex: com.exemple (optional)" GridPane.columnIndex="1" GridPane.rowIndex="8" />
            <Label text="Package" GridPane.rowIndex="8">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <Label text="Inherited class" GridPane.rowIndex="9">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <TextField fx:id="inherited" promptText="ex: java.lang.String (optional)" GridPane.columnIndex="1" GridPane.rowIndex="9" />
            <Label text="Remove underscore" GridPane.rowIndex="6">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <CheckBox fx:id="removeUnderscore" mnemonicParsing="false" GridPane.columnIndex="1" GridPane.rowIndex="6" />
            <CheckBox fx:id="singular" mnemonicParsing="false" GridPane.columnIndex="1" GridPane.rowIndex="7" />
            <Label text="Name bean in singular" GridPane.rowIndex="7">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
            <CheckBox fx:id="exitOnFinish" mnemonicParsing="false" GridPane.columnIndex="1" GridPane.rowIndex="10" />
            <Label text="Exit on finish" GridPane.rowIndex="10">
               <GridPane.margin>
                  <Insets left="20.0" />
               </GridPane.margin>
            </Label>
         </children>
         <padding>
            <Insets left="10.0" right="20.0" top="10.0" />
         </padding>
         <BorderPane.margin>
            <Insets bottom="10.0" />
         </BorderPane.margin>
      </GridPane>
   </center>
   <bottom>
      <VBox prefHeight="64.0" prefWidth="481.0" BorderPane.alignment="CENTER">
         <children>
            <Separator prefWidth="200.0" />
            <HBox alignment="CENTER_RIGHT" prefHeight="63.0" prefWidth="481.0" style="-fx-background-color: ABD8E5;">
               <children>
                  <Button fx:id="generateBut" mnemonicParsing="false" onAction="#generate" text="Generate" />
               </children>
               <padding>
                  <Insets right="50.0" />
               </padding>
            </HBox>
         </children>
      </VBox>
   </bottom>
</BorderPane>
